### Enumeration

# GtkPrintPages

#### Declaration

    enum Gtk.PrintPages

#### Description [src]

See also `gtk_print_job_set_pages()`

#### Members

`GTK_PRINT_PAGES_ALL`

  All pages.

  - Value: `0`
  - Nickname: `all`
  - Available since: 4.0
`GTK_PRINT_PAGES_CURRENT`

  Current page.

  - Value: `1`
  - Nickname: `current`
  - Available since: 4.0
`GTK_PRINT_PAGES_RANGES`

  Range of pages.

  - Value: `2`
  - Nickname: `ranges`
  - Available since: 4.0
`GTK_PRINT_PAGES_SELECTION`

  Selected pages.

  - Value: `3`
  - Nickname: `selection`
  - Available since: 4.0